package com.mortals.xhx.module.basic.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.basic.model.vo.BasicStatusVo;
import lombok.Data;
/**
* 状态设置实体对象
*
* @author zxfei
* @date 2023-05-22
*/
@Data
public class BasicStatusEntity extends BasicStatusVo {
    private static final long serialVersionUID = 1L;

    /**
    * 基础设置id
    */
    private Long basicSetId;
    /**
    * 状态名称
    */
    private String statusName;
    /**
    * 状态颜色值
    */
    private String statusColor;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BasicStatusEntity) {
            BasicStatusEntity tmp = (BasicStatusEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.basicSetId = -1L;

            this.statusName = "";

            this.statusColor = "";

            this.remark = "";
    }
}